# class DBus::Connection::NameRequestError

Exception raised when a service name is requested that is not available.

### Attributes

error_code[R]

@return [Integer] one of

    REQUEST_NAME_REPLY_IN_QUEUE
    REQUEST_NAME_REPLY_EXISTS

### Public Class Methods

new(error_code) click to toggle source
Calls superclass method

        # File lib/dbus/connection.rb
    161 def initialize(error_code)
    162   @error_code = error_code
    163   super()
    164 end